DCMTK: DRTPhysiciansReadingStudyIdentificationSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTPhysiciansReadingStudyIdentificationSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTPhysiciansReadingStudyIdentificationSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081)
OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080)
OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040)
OFCondition | getPersonAddress (OFString &value, const signed long pos=0) const
| get PersonAddress (0040,1102)
OFCondition | getPersonTelecomInformation (OFString &value, const signed long pos=0) const
| get PersonTelecomInformation (0040,1104)
OFCondition | getPersonTelephoneNumbers (OFString &value, const signed long pos=0) const
| get PersonTelephoneNumbers (0040,1103)
DRTInstitutionCodeSequence & | getInstitutionCodeSequence ()
| get InstitutionCodeSequence (0008,0082)
const DRTInstitutionCodeSequence & | getInstitutionCodeSequence () const
| get InstitutionCodeSequence (0008,0082)
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
DRTPersonIdentificationCodeSequence & | getPersonIdentificationCodeSequence ()
| get PersonIdentificationCodeSequence (0040,1101)
const DRTPersonIdentificationCodeSequence & | getPersonIdentificationCodeSequence () const
| get PersonIdentificationCodeSequence (0040,1101)
OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081)
OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080)
OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040)
OFCondition | setPersonAddress (const OFString &value, const OFBool check=OFTrue)
| set PersonAddress (0040,1102)
OFCondition | setPersonTelecomInformation (const OFString &value, const OFBool check=OFTrue)
| set PersonTelecomInformation (0040,1104)
OFCondition | setPersonTelephoneNumbers (const OFString &value, const OFBool check=OFTrue)
| set PersonTelephoneNumbers (0040,1103)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DRTInstitutionCodeSequence | InstitutionCodeSequence
| InstitutionCodeSequence (0008,0082) vr=SQ, vm=1, type=1C.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=1C.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmShortText | PersonAddress
| PersonAddress (0040,1102) vr=ST, vm=1, type=3.
DRTPersonIdentificationCodeSequence | PersonIdentificationCodeSequence
| PersonIdentificationCodeSequence (0040,1101) vr=SQ, vm=1, type=1.
DcmLongText | PersonTelecomInformation
| PersonTelecomInformation (0040,1104) vr=LT, vm=1, type=3.
DcmLongString | PersonTelephoneNumbers
| PersonTelephoneNumbers (0040,1103) vr=LO, vm=1-n, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTPhysiciansReadingStudyIdentificationSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTPhysiciansReadingStudyIdentificationSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getInstitutionAddress()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentName()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionCodeSequence() [1/2]

DRTInstitutionCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionCodeSequence | ( |  | ) |
| inline

get InstitutionCodeSequence (0008,0082)

Returns
  reference to sequence element

References InstitutionCodeSequence.

## ◆ getInstitutionCodeSequence() [2/2]

const DRTInstitutionCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionCodeSequence | ( |  | ) | const
| inline

get InstitutionCodeSequence (0008,0082)

Returns
  const reference to sequence element

References InstitutionCodeSequence.

## ◆ getInstitutionName()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonAddress()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getPersonAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PersonAddress (0040,1102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonIdentificationCodeSequence() [1/2]

DRTPersonIdentificationCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getPersonIdentificationCodeSequence | ( |  | ) |
| inline

get PersonIdentificationCodeSequence (0040,1101)

Returns
  reference to sequence element

References PersonIdentificationCodeSequence.

## ◆ getPersonIdentificationCodeSequence() [2/2]

const DRTPersonIdentificationCodeSequence & DRTPhysiciansReadingStudyIdentificationSequence::Item::getPersonIdentificationCodeSequence | ( |  | ) | const
| inline

get PersonIdentificationCodeSequence (0040,1101)

Returns
  const reference to sequence element

References PersonIdentificationCodeSequence.

## ◆ getPersonTelecomInformation()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getPersonTelecomInformation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PersonTelecomInformation (0040,1104)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPersonTelephoneNumbers()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::getPersonTelephoneNumbers | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get PersonTelephoneNumbers (0040,1103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTPhysiciansReadingStudyIdentificationSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTPhysiciansReadingStudyIdentificationSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTPhysiciansReadingStudyIdentificationSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionAddress()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionalDepartmentName()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionName()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonAddress()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setPersonAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PersonAddress (0040,1102)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonTelecomInformation()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setPersonTelecomInformation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PersonTelecomInformation (0040,1104)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPersonTelephoneNumbers()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::setPersonTelephoneNumbers | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set PersonTelephoneNumbers (0040,1103)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTPhysiciansReadingStudyIdentificationSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtprsis.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1